Name:           ocaml-newt
Version:        0.9
Release:        %mkrel 15
Summary:        OCaml library for using newt text mode window system
License:        LGPLv2+ with exceptions
Group:          Development/OCaml
URL:            http://people.redhat.com/~rjones/ocaml-newt/
Source0:        http://people.redhat.com/~rjones/ocaml-newt/ocaml-newt-%{version}.tar.gz
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-camlidl-devel
BuildRequires:  pkgconfig(libnewt)
Requires: newt-devel

%description
This is a set of OCaml bindings to newt.

The newt windowing system is a terminal-based window and widget
library designed for writing applications with a simple, but
user-friendly, interface.  While newt is not intended to provide the
rich feature set advanced applications may require, it has proven to
be flexible enough for a wide range of applications (most notably, Red
Hat's installation process).

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q

%build
./configure --libdir=%{_libdir}
# Dependencies are broken in the upstream package.
make newt_int.mli
rm -f .depend
make depend
make all
make opt
make doc

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
export DLLDIR=$OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/newt
make install

%files
%doc COPYING.LIB INSTALL README
%dir %{_libdir}/ocaml/newt/
%{_libdir}/ocaml/newt/META
%{_libdir}/ocaml/newt/*.cma
%{_libdir}/ocaml/newt/*.cmi
%{_libdir}/ocaml/stublibs/*.so*

%files devel
%doc html/
%{_libdir}/ocaml/newt/*.a
%{_libdir}/ocaml/newt/*.cmxa
%{_libdir}/ocaml/newt/*.cmx
%{_libdir}/ocaml/newt/*.mli


%changelog
* Sun Jan 10 2021 pterjan <pterjan> 0.9-15.mga8
+ Revision: 1670469
- Rebuild to generate ocamlx provides

* Fri Feb 28 2020 umeabot <umeabot> 0.9-14.mga8
+ Revision: 1551362
- Rebuild for ocaml 4.10.0 final

* Wed Feb 19 2020 umeabot <umeabot> 0.9-13.mga8
+ Revision: 1544536
- Mageia 8 Mass Rebuild

* Sun Jan 26 2020 tv <tv> 0.9-12.mga8
+ Revision: 1483167
- rebuild for ocaml-4.10

* Tue Oct 23 2018 tv <tv> 0.9-11.mga7
+ Revision: 1324240
- rebuild with ocaml-4.07.1

* Sun Sep 23 2018 umeabot <umeabot> 0.9-10.mga7
+ Revision: 1299900
- Mageia 7 Mass Rebuild

* Sun Nov 26 2017 tv <tv> 0.9-9.mga7
+ Revision: 1179556
- rebuild for new ocaml

* Fri Feb 12 2016 umeabot <umeabot> 0.9-8.mga6
+ Revision: 956417
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.9-7.mga5
+ Revision: 741040
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9-6.mga5
+ Revision: 683070
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.9-5.mga4
+ Revision: 508468
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.9-4.mga3
+ Revision: 361493
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 01 2012 blue_prawn <blue_prawn> 0.9-3.mga3
+ Revision: 301673
- new rpm group for ocaml

* Tue Mar 27 2012 malo <malo> 0.9-2.mga2
+ Revision: 227202
- add missing Requires to newt-devel

* Fri Mar 23 2012 blue_prawn <blue_prawn> 0.9-1.mga2
+ Revision: 225914
- imported package ocaml-newt

